# H501_NonStandardRequest Class Reference

`#include <h501.h>`

Inheritance diagram for H501_NonStandardRequest:

List of all members.

## Public Member Functions

| H501_NonStandardRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
PObject * | Clone () const

## Constructor & Destructor Documentation

H501_NonStandardRequest::H501_NonStandardRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_NonStandardRequest::GetDataLength | ( |  | ) | const

PBoolean H501_NonStandardRequest::Decode | ( | PASN_Stream & | strm | ) |

void H501_NonStandardRequest::Encode | ( | PASN_Stream & | strm | ) | const

void H501_NonStandardRequest::PrintOn | ( | ostream & | strm | ) | const

PObject* H501_NonStandardRequest::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h501.h